import { encodeSequence } from '../encoder/encoder';
import { ensureArray } from '../utils/elements';
export function capture(sequence) {
  return {
    type: 'capture',
    children: ensureArray(sequence),
    encode: encodeCapture
  };
}
function encodeCapture() {
  return {
    precedence: 'atom',
    pattern: `(${encodeSequence(this.children).pattern})`
  };
}
//# sourceMappingURL=capture.js.map