import type { RegexConstruct, RegexElement, RegexSequence } from '../types';
export interface Repeat extends RegexConstruct {
    type: 'repeat';
    children: RegexElement[];
    options: RepeatOptions;
}
export type RepeatOptions = number | {
    min: number;
    max?: number;
    greedy?: boolean;
};
export declare function repeat(sequence: RegexSequence, options: RepeatOptions): Repeat;
//# sourceMappingURL=repeat.d.ts.map