"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.regex = regex;
var _encoder = require("../encoder/encoder");
var _elements = require("../utils/elements");
function regex(sequence) {
  return {
    type: 'sequence',
    children: (0, _elements.ensureArray)(sequence),
    encode: encodeRegex
  };
}
function encodeRegex() {
  return (0, _encoder.encodeSequence)(this.children);
}
//# sourceMappingURL=regex.js.map