export const startOfString = {
  type: 'anchor',
  symbol: '^',
  encode: encodeAnchor
};
export const endOfString = {
  type: 'anchor',
  symbol: '$',
  encode: encodeAnchor
};
export const wordBoundary = {
  type: 'anchor',
  symbol: '\\b',
  encode: encodeAnchor
};
export const nonWordBoundary = {
  type: 'anchor',
  symbol: '\\B',
  encode: encodeAnchor
};

/**
 * @deprecated Renamed to `nonWordBoundary`.
 */
export const notWordBoundary = nonWordBoundary;
function encodeAnchor() {
  return {
    precedence: 'sequence',
    pattern: this.symbol
  };
}
//# sourceMappingURL=anchors.js.map